:root {
  --fs-xl: 2.25rem;
  --fs-parrafo: 1.125rem;
  --fs-nav: 1.125rem;
  --fs-logo: 1.5rem;
  --fs-footer: 1rem;
  --fs-titulo: 1.75rem;
}

body{
  font-family: 'archivo'; 
  width: 100%;
  margin: 30px 0 0;
  position: relative;
  min-height: 100vh;
}
#content-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 120px; 
}
section{
  width: 83%;
}

/*Header principal*/

#primary-header{
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 45px
}
#logo {
  display: flex;
}
#logo p {
  margin: auto 0;  
  font-weight: bold;
  font-size: 24px;
}

#barra-nav {
  display: flex;
  justify-content: space-between;
  gap: 3rem;
  align-items: center;
}
#barra-nav a{
  text-decoration: none;
  font-size: 18px;
  color: hsl(0,0%,20%);
  padding-top: 10px;
  padding-bottom: 10px;
}

.mobile-nav-toggle {
  display: none;
}

@media (max-width: 1200px){
  #primary-header {
    justify-content: center;
  }
  #logo{
    flex-direction: column;
    align-items: center;
  }
  #logo > img{
    width: 75px;
  }
  #logo > p {
    text-align: center;
    font-size: 20px;
  }
  
  #barra-nav{
    position: fixed;
    inset: 0 0 0 30%;
    flex-direction:  column;
    padding: min(30vh, 10rem) 2em;
    gap: 0;
    background: hsla(0 0% 0% / 0.85);
    backdrop-filter: blur(5rem);
    z-index: 1000;
    
    transform: translateX(100%);
    transition: transform 200ms ease-out;
  } 
  
  #barra-nav[visible="true"] {
    transform: translateX(0%);
  }
  
  #barra-nav a {
    color: white;
  }
  .mobile-nav-toggle {
    display: block;
    position: absolute;
    background: red;
    z-index: 9999;
    width: 2rem;
    top: 2rem;
    right: 2rem;
  }
  
}

#inicio{
  display: grid;
  padding-bottom: 10px;
  grid-template-areas: "h2 img"
                       "p  img"
                       "button  img";
  grid-column-gap: 0.75rem;
  align-items: center;
}

#inicio h2 {grid-area: h2;}
#inicio p {grid-area: p;}
#inicio img {grid-area: img;}
#inicio div {grid-area: button;}

#inicio h2{
  background: linear-gradient(90.79deg, #008000 3.42%, #C3C700 82.66%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 700;
  font-size: var(--fs-xl);
  line-height: 56px;
  margin: 0;
  padding-bottom: 15px;
}

#inicio p{
  font-weight: 500;
  font-size: 20px;
  line-height: 36px;
  color: hsl(0,0%,33%);
  text-align: justify;
  width: 85%;
  padding-bottom: 15px;
  
}
#inicio img{
  height: 21rem;
}

@media (max-width: 480px){
  :root{
    --fs-xl: 1.5rem;
  }
  #inicio h2{
    font-weight: 500;
    text-align: center;
  }
}

.boton-verde {
  border: 2px solid #BAC401;
  border-radius: 100px;
  padding: 0 30px;
}
.boton-azul {
  background: linear-gradient(238.41deg, #09153F 1.24%, #002BC2 57.38%);
  border-radius: 100px;
  padding: 10px 30px;
  color: white;
  font-size: 20px;
  text-decoration: none;
}

footer{
  height: 100px;
  margin-top: 20px;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: hsl(0, 0%, 20%);
  width: 100%;
  color: white;
  bottom: 0;
  width: 100%;
}

@media (max-width: 1200px){
  
  #inicio{
    display: flex;
    flex-direction: column;
  }
  #inicio h2{
    line-height: 40px;
  }
  #inicio p {
    line-height: 30px;
  }
  html {
    width: 100%;
  }
  #inicio img{
  height: 15rem;
  }
  footer p {
    width: 80%;
  }
}